## javax.mail.event
Interface FolderListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  FolderAdapter

    public interface FolderListener

extends java.util.EventListener

This is the Listener interface for Folder events.

Method Summary
`void` `folderCreated(FolderEvent e)` Invoked when a Folder is created.
`void` `folderDeleted(FolderEvent e)` Invoked when a folder is deleted.
`void` `folderRenamed(FolderEvent e)` Invoked when a folder is renamed.

Method Detail

### folderCreated

    void folderCreated(FolderEvent e)

  Invoked when a Folder is created.

### folderDeleted

    void folderDeleted(FolderEvent e)

  Invoked when a folder is deleted.

### folderRenamed

    void folderRenamed(FolderEvent e)

  Invoked when a folder is renamed.